using System;
using System.CodeDom;

namespace OOCodeDOM
{
	public class Statement
	{
		protected CodeStatement s;

		protected Statement ()
		{
		}

		public Statement (Expression e)
		{
			s = new CodeExpressionStatement(e);
		}

		public static implicit operator CodeStatement (Statement s)
		{
			return s.s;
		}
	}
}
